#!/bin/sh

########################################
# fix me
########################################
MONTA_DIR=/opt/MVL_5.0
RELEASE_DIR=${PWD}/../release



################################################################################


########################################
# common environment setting
########################################
# Current directory info
TOP_DIR=${PWD}/../

# Target directory info
DEVKIT_DIR=${MONTA_DIR}/montavista/pro/devkit
MIPS_DIR=${DEVKIT_DIR}/mips
MIPS_VER=mips2_fp_be
TARGET_DIR=${MIPS_DIR}/${MIPS_VER}/target
PREFIX=${MIPS_DIR}/${MIPS_VER}/bin/${MIPS_VER}-
DFB_DIR=/home/e3setup/target_e3pf_20081113_v0.9.1_Auth_3G/lib/DirectFB-1.0.0
############################################################
#
# cairo-1.8.6
#
############################################################

############################################
# environment setting
############################################
export CC=${PREFIX}gcc
export AR=${PREFIX}ar
export RANLIB=${PREFIX}ranlib
export AS=${PREFIX}as
export LD=${PREFIX}ld
export NM=${PREFIX}nm
export STRIP=${PREFIX}strip
#export FREETYPE_CONFIG=${RELEASE_DIR}/bin/freetype-config
export CROSS_COMPILE_PREFIX=${TARGET_DIR}

############################################
# create configure
############################################
cd ${TOP_DIR}/cairo-1.8.6

cat << EOL
----------------------------------------------

  cairo-1.8.6

----------------------------------------------

############################################
# configure
############################################
cat << EOL
----------------------------------------
  configure
----------------------------------------
EOL

export "png_CFLAGS=-I${TARGET_DIR}/usr/include"
export "png_LIBS=-L${TARGET_DIR}/usr/lib -lpng12"
export "pixman_CFLAGS=-I${RELEASE_DIR}/include/pixman-1"
export "pixman_LIBS=-L${RELEASE_DIR}/lib -lpixman-1"
export "FREETYPE_CFLAGS=-I${DFB_DIR}/include/freetype2 -I${DFB_DIR}/include"
export "FREETYPE_LIBS=-L${DFB_DIR}/lib -lfreetype -lz"
export "FONTCONFIG_CFLAGS=-I${TARGET_DIR}/usr/include"
export "FONTCONFIG_LIBS=-L${TARGET_DIR}/usr/lib -lfontconfig"
export "directfb_CFLAGS=-D_REENTRANT -I${DFB_DIR}/include/directfb"
export "directfb_LIBS=-L${DFB_LIB}/lib -ldirectfb -ldirect -lfusion -lpthread -ldl -lz"

./configure                                 \
            --prefix=${RELEASE_DIR} 		\
            --build=i686-pc-linux-gnu       \
            --host=mipsbe-mips-linux-gnu    \
			--enable-directfb=yes 			\
			--disable-xlib					\
			--disable-win32					\
			--disable-ps					\
			--disable-pdf					\
			--disable-svg					\
			--without-x						\
			--enable-freetype				\
                                            \
            || exit 1


############################################
# make
############################################
cat << EOL
----------------------------------------
  make
----------------------------------------
EOL
make || exit 1


############################################
# make install
############################################
cat << EOL
----------------------------------------
  make install
----------------------------------------
EOL
make install-strip

